
package jp.riken.brain.ni.samuraigraph.figure.java2d;


import java.util.ArrayList;

import jp.riken.brain.ni.samuraigraph.base.SGIPropertyDialogObserver;
import jp.riken.brain.ni.samuraigraph.base.SGPropertyDialog;


/**
 * 
 */
public class SGPropertyDialogVXYData extends SGPropertyDialog
{


	/**
	 * 
	 */
	public SGPropertyDialogVXYData()
	{
		super();
		this.initialize();
	}


	/**
	 * 
	 */
	public ArrayList getColorSelectionButtonsList()
	{
		ArrayList list = new ArrayList();
		return list;
	}


	/**
	 * 
	 */
	public ArrayList getTextFieldComponentsList()
	{
		final ArrayList list = this.getFormattedTextFieldsListFromSpinners();
		list.addAll( this.getNumberTextFieldList() );
		return list;
	}


	/**
	 * Returns a list of text fields to set number.
	 * @return
	 */
	public ArrayList getNumberTextFieldList()
	{
		final ArrayList list = new ArrayList();
		return list;
	}


	/**
	 * 
	 */
	public ArrayList getSpinnerList()
	{
		ArrayList list = new ArrayList();
		return list;
	}


	/**
	 * Set properties to all listeners.
	 * @param l
	 * @return
	 */
	public boolean setPropertiesToListeners( SGIPropertyDialogObserver l )
	{
		return true;
	}


	/**
	 * 
	 * @return
	 */
	public boolean setDialogProperty()
	{
		return true;
	}



}
